Bug 13131 - add qla1280 and qla2x00 PCI IDs to pcitable
Summary: add qla1280 and qla2x00 PCI IDs to pcitable
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 13059 13062
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-27 22:04 UTC by Matt Domsch
Modified: 2014-03-17 02:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-12 18:22:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 2000-06-27 22:04:23 UTC
Please add the following lines to kudzu's pcitable, once the qla1280 and 
qla2x00 drivers are added to the kernel and the installer.

0x1077  0x1020  "qlogicisp"     "Q Logic|ISP1020"

0x1077  0x2100  "qla2100"       "Q Logic|QLA2100"
0x1077  0x2200  "qla2100"       "Q Logic|QLA2200"

0x1077  0x1080  "qla1280"       "Q Logic|QLA1080"
0x1077  0x1240  "qla1280"       "Q Logic|QLA1240"
0x1077  0x1280  "qla1280"       "Q Logic|QLA1280"
0x1077  0x1216  "qla1280"       "Q Logic|QLA12160"
0x1077  0x1016  "qla1280"       "Q Logic|QLA10160"

Comment 1 Bill Nottingham 2000-07-08 19:29:44 UTC
Will be fixed as of kudzu-0.50, even though they may not be in the kernel
(if kudzu can't find the specified module, it will just ignore the device.)
FWIW, the drivers you're mapping to the qla2100 driver are already mapped
to the qlogicfc driver...

Comment 2 Matt Domsch 2000-07-10 15:53:32 UTC
The qla2x00 driver should be used as the default driver, as it is written and 
supported by QLogic, and supports more cards, including those that Dell is 
shipping today.  The qlogicfc driver can remain in the kernel, loaded by 
customers who prefer that driver.

Comment 3 Matt Domsch 2000-07-21 19:19:43 UTC
In Winston Beta 4, qla1280 entries made it into kudzu, qla2100 and 2200 entries 
did not.  kudzu-0.52-3

Comment 4 Bill Nottingham 2000-07-21 20:41:57 UTC
Fixed in 0.52-4.


Note You need to log in before you can comment on or make changes to this bug.